function [ Rn, Re ] = calcularRn_Re( L )
%Calcula Rn (radi curvatura del meridi) i Re (radi de curvatura del parallel).
%Inputs:
%       L: latitud de la posici en que ens trobem (rad)
%Outputs:
%       Rn: radi de curvatura del meridi. O sigui de N a S.
%       Re: radi de curvatura del parallel. O sigui de E a O.

    Ro = 6378137;
    e = 0.0818191908425;

    Rn = Ro*(1-e^2)/((1-(e^2)*(sin(L))^2)^(3/2));
    Re = Ro/sqrt(1 - (e^2)*(sin(L))^2);

end

