
% CALIBRACI DADES MAGNETMETRES
%
% Fa la calibraci de les dades dels magnetmetres. Troba les dades
% calibrades i les matrius de soft i hard iron.
clear all

[ indat ] = data_loader( 'calibracio4.csv' );

%Agafa el fitxer de dades que volem.
matriuDades = indat;
 
%Posa les dades corresponents als magnetmetres (columnes 8, 9 i 10) en una
%matriu B (3xn). Agafa les dades de 10 en 10 perqu es puguin representar
%millor els plots.
[n, c] = size(matriuDades);
Ba = matriuDades(1:10:n, [8,9,10]);
B = Ba';

%Multiplico pel camp magntic de la Terra (45 Gauss)
B = B*45.4479;

%Represento les dades sense calibrar
figure(1)
plot3(B(1,:),B(2,:),B(3,:),'.b')
hold on

%Creo matriu (3xn) amb el valor de covariana de les dades.
Sigma_noise = ones(3,length(B))*0.1;

%Camp magntic de la Terra a BCN.
H = [24.96; 0.16; 37.98];

%Cridem funci que calcula les matrius de soft i hard iron.
[D_est,b_est,n,Cov_est]=TWOSTEP_estimate(B,H, Sigma_noise);

%Amb les matrius que acabem d'aconseguir calibrem les dades anteriors.
for i=1:length(B)
    C(1:3,i)=(eye(3)+D_est)*B(1:3,i)-b_est;
end

%Les representem per poder-les comparar amb les dades sense calibrar
C = C*45.4479;
plot3(C(1,:),C(2,:),C(3,:),'or');

axis equal
grid on
