function [ matriuDadesCorregida ] = calibratgeDades( matriuDades, D_est, b_est )
%Realitza el calibratge de les dades dels magnetometres.
%Input:
%       matriuDades: matriu de dades del sensor.
%Output:
%       matriuDadesCorregida: matriu de dades del sensor amb les dades dels
%                             magnetometres calibrades.
    
    [n, s] = size(matriuDades);
    matriuDadesCorregida = matriuDades;
    
    for i=1:1:n,
        
        F = matriuDades(i, 8:10)';
        C=(eye(3)+D_est)*F-b_est;
        matriuDadesCorregida(i, 8:10) = C';
    end
    
end

