function [ C_n_i ] = crearMatriuECI_NED( t, L, lambda )
%Crea matriu de rotaci de ECI a NED frame.
%Inputs:
%       t: temps acomulat des de l'inici (s).
%       L: latitud (rad).
%       lambda: longitud (rad).
%Outputs:
%       C_n_i: matriu rotaci ECI-NED frame.
    
    w_ie = 7.292115e-5;
    t0 = 0;
    
    C_n_i = [-sin(L)*cos(lambda + w_ie*(t - t0)) -sin(L)*sin(lambda ...
        + w_ie*(t-t0)) cos(L); -sin(lambda + w_ie*(t - t0)) ...
        cos(lambda + w_ie*(t - t0)) 0; -cos(L)*cos(lambda + w_ie*(t-t0))...
        -cos(L)*sin(lambda + w_ie*(t-t0)) -sin(L)];

end

