function [ C_ned_b ] = crearMatriuRotacioBody_NED( angleFi_nb, angleTeta_nb, anglePsi_nb)
% Entrem els angles Roll, pitch i yaw (angleFi_nb, angleTeta_nb,
% anglePsi_nb)i fem la matriu de rotaci de body a NED frame.
%Inputs:
%       angleFi_nb: angle de Roll. (rad)
%       angleTeta_nb: angle de Pitch. (rad)
%       anglePsi_nb: angle de Yaw. (rad)
%Outputs:
%       C_ned_b: matriude rotaci de Body a NED.
    
    %Matriu de rotacio z
    C1 = [cos(anglePsi_nb) sin(anglePsi_nb) 0; -sin(anglePsi_nb)...
        cos(anglePsi_nb) 0; 0 0 1]; 
     %Matriu rotacio y
    C2 = [cos(angleTeta_nb) 0 -sin(angleTeta_nb); 0 1 0; sin(angleTeta_nb)...
        0 cos(angleTeta_nb)];
    %Matriu rotacio x
    C3 = [1 0 0; 0 cos(angleFi_nb) sin(angleFi_nb); 0 -sin(angleFi_nb)...
        cos(angleFi_nb)];
    
    C_ned_b_not = C3*C2*C1;                                                                              %Matriu rotacio per passar de body a NED
    C_ned_b = C_ned_b_not';
    
end

