function [ C_eci_ned ] = crearMatriuRotacioNED_ECI( Lg, lambdag, t)
%A partir de les dades de longitud (lambda) i latitud (L) ens retorna les matriu de
%rotaci que passa de NED a ECI frame.
%Inputs:
%       L: latitud ()
%       lambda: longitud ()
%       t: temps acomulat des de l'inici (s)
%Outputs:
%       C_eci_ned: matriu rotaci de NED a ECI.
    w_ie = 7.292115e-5; 
    L = degtorad(Lg);
    lambda = degtorad(lambdag);
    
    C_eci_ned = [-sin(L)*cos(lambda+w_ie*(t)) -sin(lambda+w_ie*(t))...
        -cos(L)*cos(lambda+w_ie*(t)); -sin(L)*sin(lambda+w_ie*(t))...
      cos(lambda+w_ie*(t)) -cos(L)*sin(lambda+w_ie*(t)); cos(L) 0 -sin(L)];
    
end

